function F = IABA_h_2_fun(x)
global L;
global Wmax;
global N;

F= [ 
    -x(1)+(1-(1-x(3))^(N-1))*L*(1-x(1))*(1-x(2));
    -x(2)+(1-(1-x(3))^(N-1))*(1-x(2));
    -x(3)*((0.8*(0.004/(0.001+x(3)*(2-x(1)+L*(1-x(1))*(1-x(2))))-0.003)+0.2*(1-(1-x(3))^(N-1)))*Wmax+3-2*x(1)+2*L*(1-x(1))*(1-x(2)))+2;
   ];
